DotsDocs
Team

Invite a Developer to the App

Email an invite to join the App. Send exactly one of `role` or `custom_role_id`. The invite expires after seven days. The invitee gets the role when they accept.

POST
/v2/developer-invites

Email an invite to join the App. Send exactly one of role or custom_role_id. The invite expires after seven days. The invitee gets the role when they accept.

Authorization

api_key
headerAuthorizationBasic <token>

Request Body

application/json
  1. body
Properties2 <= properties <= 2
email*string
Formatemail
role?built-in-role

A built-in role. admin can do everything.

Value in"payer""viewer""admin""ap_approver""ap_creator""viewer_clawback""customer_service""compliance""user_manager"
custom_role_id?string

ID of a custom role in the same scope.

Formatuuid

Response Body

Created

application/json
  1. response
id?string
Formatuuid
email?string
Formatemail
status?string

created means the invite is pending.

Value in"created""accepted""expired""canceled"
created?string
Formatdate-time
expiry?string
Formatdate-time
link?string

Link the invitee opens to accept. It only works for the invited email address.

Formaturi
role?|

custom when the invite grants a custom role, otherwise a built-in role.

custom_role_id?|
Formatuuid
Example Request
curl -X POST 'https://api.dots.dev/api/v2/developer-invites' \  -H 'Content-Type: application/json' \  -d '{  "email": "jane@example.com",  "role": "viewer"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "email": "user@example.com",  "status": "created",  "created": "2019-08-24T14:15:22Z",  "expiry": "2019-08-24T14:15:22Z",  "link": "http://example.com",  "role": "payer",  "custom_role_id": "4f5deddb-3218-41fa-acf0-ef42cdc17a8c"}